* gph_fig14_1.do

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr4-

use "anklebp1.dta", clear
set scheme lean1

twoway                                          ///
  (scatter atp adp)                             ///
  (function y=x, range(0 200) lpattern(l))      ///
  ,                                             ///
  legend(off)                                   ///
  xtitle("Posterior tibial artery")             ///
  ytitle("Dorsal pedal artery")                 ///
  ysize(2) xsize(2.5) aspectratio(1) scale(1.4)
