* gph_fig16_17.do

clear
set obs 15
gen y1=1
gen y2=2
gen x=_n

label define x 1 "(l) or (solid)" 2 "(dot)" 3 "(shortdash)"           ///
  4 "(-) "5 "(dash)" 6 "( _ )" 7 "(longdash)" 8 "(shortdash_dot)"     ///
  9 "(dash_dot)" 10 "(longdash_dot)" 11 `"("_#.#.#.#")"' 12 "(blank)" 
label values x x

set scheme lean1
twoway                                                          ///
  (rspike y1 y2 x if x==1, horizontal blpattern(l))             ///
  (rspike y1 y2 x if x==2, horizontal blpattern(dot))           ///
  (rspike y1 y2 x if x==3, horizontal blpattern(shortdash))     ///
  (rspike y1 y2 x if x==4, horizontal blpattern(-))             ///
  (rspike y1 y2 x if x==5, horizontal blpattern(dash))          ///
  (rspike y1 y2 x if x==6, horizontal blpattern(_))             ///
  (rspike y1 y2 x if x==7, horizontal blpattern(longdash))      ///
  (rspike y1 y2 x if x==8, horizontal blpattern(shortdash_dot)) ///
  (rspike y1 y2 x if x==9, horizontal blpattern(dash_dot))      ///
  (rspike y1 y2 x if x==10, horizontal blpattern(longdash_dot)) ///
  (rspike y1 y2 x if x==11, horizontal blpattern("_#.#.#.#"))   ///
  (rspike y1 y2 x if x==12, horizontal blpattern(blank))        ///
  ,                                                             ///
  ylabel(1(1)12, notick valuelabel nogrid)  xlabel(none)        ///
  legend(off) xtitle("") ytitle("")                             ///
  yscale(reverse range(.6 12.4))                                ///
  xsize(2.5) ysize(3.5) scale(1.25)
