* gph_fig16_31.do

clear
input age diabm diabf
1 .8 .9
2 1.2 1.2
3 5.3 3.3
4 10.4 8.2
5 7.8 7.8
end

label define age 1 "16-24" 2 "25-44" 3 "45-64" 4 "65-79" 5 "80+"
label values age age

set scheme lean2

graph bar (asis) diabm diabf           ///
  ,                                    ///
  over(age)                            ///
  b1title("Age")                       ///
  ytitle("Prevalence (per cent)")      ///
  legend(order(1 "Males" 2 "Females")) ///
  xsize(4) ysize(2) scale(1.4)
