* gph_fig17_1.do

webuse lbw.dta, clear

statsby mean=r(mean) cil=r(lb) ciu=r(ub), by(race) clear: ci bwt

set scheme lean1

twoway                              ///
  (scatter mean race, msymbol(O))   ///
  (rcap cil ciu race)               ///
  ,                                 ///
  xtitle("Race")                    ///
  ytitle("Birthweight (grams)")     ///
  xscale(range(0.5 3.5))            ///
  xlabel(1 2 3, valuelabel notick)  ///
  legend(off)                       ///
  xsize(2.7) ysize(2) scale(1.4)
